package Algorithmus;
public class Array {

	public static void main(String[] args) {
		// Erstellt ein Array für 5 Elemente vom Typ int
		int[] array = new int[5];
		
		 // Erstellt und initialisiert das Array mit Werten
		int[] array2 = {1, 2, 3, 4, 5};
		
		// Zugriff auf das erste Element
		int firstElement = array[0]; 
		
		// Zugriff auf das letzte Element (bei einem Array der Größe 5)
		int lastElement = array[4]; 
		
		// Setzt das dritte Element des Arrays auf 10
		array2[2] = 10;
		
		//for schleife mit einem Array
		for(int i = 0; i < array.length; i++) 
		    System.out.println(array[i]);
		
		//foreach Schleife
		for(int element : array) 
		    System.out.println(element);
		

		// Erstellt ein 3x3-Array (Matrix
		int[][] array_21d = new int[3][3]; 
		
		//Initialisieren eines 2D-Arrays:
		int[][] array_2d = {
			    {1, 2, 3},
			    {4, 5, 6},
			    {7, 8, 9}
			};
		
		
		// Greift auf das Element in der zweiten Zeile und dritten Spalte zu
		int element = array_2d[1][2]; 

		
		//Array mit Objekten, hier sollte eine Klass mit Name Person erstellt werden
		/*
		 * Person[] persons = new Person[2]; // Erstellt ein Array für 2 Person-Objekte
		   persons[0] = new Person("Alice", 30);
		   persons[1] = new Person("Bob", 25);
		   System.out.println(persons[0].name); // Ausgabe: Alice
		 */

	}

}
